Bug 1195875 - Review Request: ti-uim - Texas Instruments User Mode Init manager
Summary: Review Request: ti-uim - Texas Instruments User Mode Init manager
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mairi Dulaney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 18:20 UTC by Peter Robinson
Modified: 2015-03-01 19:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-01 19:03:57 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdulaney: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2015-02-24 18:20:50 UTC
SPEC: https://pbrobinson.fedorapeople.org/ti-uim.spec
SRPM: https://pbrobinson.fedorapeople.org/ti-uim-0-0.1.c21061f.fc22.src.rpm

description:
Texas Instruments User Mode Init manager is used to initialise the TI shared
transport on associated WiFi/BT/FM/GPS multi function radio chipsets.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=9055443

Comment 1 Mairi Dulaney 2015-02-28 02:43:50 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later) (with incorrect FSF address)". Detailed
     output of licensecheck in /home/jdulaney/rpmbuild/1195875-ti-
     uim/licensecheck.txt
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/lib/systemd/system, /usr/lib/udev/rules.d, /usr/lib/systemd
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define tarfile
     %{name}-%{version}.tar.bz2, %define gitrev c21061f
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ti-uim-0-0.1.c21061f.fc22.x86_64.rpm
          ti-uim-0-0.1.c21061f.fc22.src.rpm
ti-uim.x86_64: W: spelling-error %description -l en_US initialise -> initialize, initial, inessential
ti-uim.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ti-uim.x86_64: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
ti-uim.x86_64: W: incoherent-version-in-changelog 0-0.1 ['0-0.1.c21061f.fc22', '0-0.1.c21061f']
ti-uim.x86_64: W: no-documentation
ti-uim.x86_64: W: non-conffile-in-etc /etc/modprobe.d/ti-uim.conf
ti-uim.x86_64: W: no-manual-page-for-binary uim
ti-uim.src: W: spelling-error %description -l en_US initialise -> initialize, initial, inessential
ti-uim.src: W: spelling-error %description -l en_US multi -> mulch, mufti
ti-uim.src: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
ti-uim.src:6: W: macro-in-comment %{name}
ti-uim.src:6: W: macro-in-comment %{version}
ti-uim.src:6: W: macro-in-comment %{gitrev}
ti-uim.src:6: W: macro-in-comment %{gitrev}
ti-uim.src:6: W: macro-in-comment %{name}
ti-uim.src:6: W: macro-in-comment %{version}
ti-uim.src:6: W: macro-in-comment %{gitrev}

Comment 2 Mairi Dulaney 2015-02-28 02:57:25 UTC
Okay, a few things:

Any reason for using %define tarfile %{name}-%{version}.tar.bz2 ?  The only time I see it is where it is defined.

Since you are using a couple directories (/usr/lib/udev/ and /usr/lib/systemd) owned by systemd, you probably ought to require systemd for completeness.

In your %files section, you're explicitly using /usr/lib/ instead of %{_libdir}

Comment 3 Peter Robinson 2015-02-28 18:14:20 UTC
> Any reason for using %define tarfile %{name}-%{version}.tar.bz2 ?  The only
> time I see it is where it is defined.

An oversight

> Since you are using a couple directories (/usr/lib/udev/ and
> /usr/lib/systemd) owned by systemd, you probably ought to require systemd
> for completeness.

Possibly, but it's also superfluous, and the binary is also usable without systemd.

> In your %files section, you're explicitly using /usr/lib/ instead of
> %{_libdir}

It's a udev rule, all udev rules are explicitly in /usr/lib whether 32 or 64 bit  so in this case the macro is not used.

Comment 4 Mairi Dulaney 2015-03-01 01:48:59 UTC
All right, review accepted.

Comment 5 Peter Robinson 2015-03-01 11:10:07 UTC
New Package GIT Request
=======================
Package Name: ti-uim
Short Description: Texas Instruments User Mode Init manager
Owners: pbrobinson
Branches: F-22 F-21 F-20
InitialCC:

Comment 6 Gwyn Ciesla 2015-03-01 16:50:21 UTC
Git done (by process-git-requests).

Comment 7 Peter Robinson 2015-03-01 19:03:57 UTC
thanks for the review


Note You need to log in before you can comment on or make changes to this bug.